- entityDefinitions:
  - IDM_Relationship__get__Source_Class_Name: '{0024f374-ee14-43f4-869e-23fb16a1a849}'
  - IDMB_Relationship__get__Source_Class_Name: '{8de980ba-5b1a-4abd-b42a-7579f7bfd871}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedAttributeMethod: '&IDM_Relationship__get__Source_Class_Name;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Relationship;'
    returnsAttributeId: '&IDA_Name;'
    verb: 'get'
    name: 'Source Class Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDMB_Relationship__get__Source_Class;'
    answerAttribute: '&IDMB_Class__get__Name;'
    singular: yes
    
  - returnAttributeMethodBinding: '&IDMB_Relationship__get__Source_Class_Name;'
    executesMethod: '&IDM_Relationship__get__Source_Class_Name;'
